curl --request GET \
--url https://api.worldmonitor.app/api/military/v1/list-military-bases \
--header 'X-WorldMonitor-Key: <api-key>'import requests
url = "https://api.worldmonitor.app/api/military/v1/list-military-bases"
headers = {"X-WorldMonitor-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-WorldMonitor-Key': '<api-key>'}};
fetch('https://api.worldmonitor.app/api/military/v1/list-military-bases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bases": [
{
"branch": "example",
"catAirforce": true,
"catNaval": true,
"catNuclear": true,
"catSpace": true
}
],
"clusters": [
{
"count": 1,
"dominantType": "all",
"expansionZoom": 1,
"latitude": 40.7128,
"longitude": -74.006
}
],
"totalInView": 1,
"truncated": true
}{
"violations": [
{
"field": "<string>",
"description": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>",
"code": "subscription_lapsed",
"requiredTier": 123,
"currentTier": 123,
"planKey": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"code": "renewal_verification_pending",
"requiredTier": 123
}{
"message": "<string>"
}ListMilitaryBases
ListMilitaryBases retrieves military bases within a bounding box, with server-side clustering.
Authorizations
User-issued WorldMonitor API key.
Query Parameters
North-east corner latitude of the map bounding box.
North-east corner longitude of the map bounding box.
South-west corner latitude of the map bounding box.
South-west corner longitude of the map bounding box.
Map zoom level used to decide whether to return bases or clusters.
Optional military base type filter.
us-nato, china, russia, uk, france, india, italy, uae, turkey, japan, other Optional military base kind filter.
base, airfield, naval_base, military, barracks, bunker, trench, training_area, checkpoint, shelter, ammunition, office, obstacle_course, nuclear_explosion_site, range Optional country filter for military bases.
Optional JMESPath expression applied server-side to project or reduce the JSON response before it is returned (mirrors the MCP jmespath argument). Invalid expressions, expressions larger than 1024 UTF-8 bytes, or projections that exceed the 256 KB output cap return HTTP 400 with a {_jmespath_error, original_keys} envelope. Grammar and worked examples: https://www.worldmonitor.app/docs/mcp-jmespath.
Was this page helpful?
